Package org.codehaus.janino

# Enum Java.Primitive

java.lang.Object
java.lang.Enum<Java.Primitive>
org.codehaus.janino.Java.Primitive

All Implemented Interfaces:
  `Serializable`, `Comparable<Java.Primitive>`, `java.lang.constant.Constable`

Enclosing class:
  `Java`

public static enum Java.Primitive extends Enum<Java.Primitive>
Java's primitive types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`BYTE`
`CHAR`
`DOUBLE`
`FLOAT`
`INT`
`LONG`
`SHORT`
`VOID`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static Java.Primitive`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Java.Primitive[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VOID

public static final Java.Primitive VOID

### BYTE

public static final Java.Primitive BYTE

### SHORT

public static final Java.Primitive SHORT

### CHAR

public static final Java.Primitive CHAR

### INT

public static final Java.Primitive INT

### LONG

public static final Java.Primitive LONG

### FLOAT

public static final Java.Primitive FLOAT

### DOUBLE

public static final Java.Primitive DOUBLE

### BOOLEAN

public static final Java.Primitive BOOLEAN

## Method Details

### values

public static Java.Primitive[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Java.Primitive valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Java.Primitive>`